/*
 * This file (SampleLabel.java) is part of DebGen-LabelPrintLib  developed by ASTRID Research.
 * All rights reserved. Reproduction, modification, use or disclosure
 * to third parties without express authority is forbidden.
 *
 *  Copyright ASTRID Research, Hungary, 2010.
 *
 *  ASTRID Research
 *  Headquaters: Csapó utca 42. Debrecen H-4029 HUNGARY
 *  Phone: +36-52-533-173        Fax: +36-52-533-174
 *  Web: http://www.astrid.hu    E-mail: info@astrid.hu
 *
 * Project name: DEBGEN-Biobank-Project.
 * File last modified at 2010.01.07 14:44
 */

package hu.astrid.debgen.labelprint.domain;

/**
 * @author inagy
 */
public class SampleLabel extends Label {

    /**
     * Default constructor.
     */
    public SampleLabel() {
    }

    /**
     * Constructor.
     * @param codeValue to set
     */
    public SampleLabel(String codeValue) {
        setCodeValue(codeValue);
    }

    /**
     * Constructor.
     * @param copies to set
     */
    public SampleLabel(int copies) {
        this.copies = copies;
    }


    /**
     * Implements Label.getResourceName().
     */
    @Override
    public String getResourceName() {
        return "/design/sample.prn";
    }

    @Override
    public String getType() {
        return "SAMPLE";
    }

}
